/*
		alpha3.c
		--------

	Various transparency operations with patterns.

*/

#include  <stdio.h>
#include  <stdlib.h>
#include  "image.h"

#undef DEBUG_LEVEL
#define DEBUG_LEVEL 1

/*::------------------------------------------------------------------::*/
/*	16 Fev 2002.
 *
 *	voir aussi Image_insert_with_alpha dans insert.c
 */
int
Image_alpha_pattern_0(Image_Desc *src, Image_Desc *pat, Image_Desc *dst)
{
int	foo;
int	x, y, xp, yp;
int	r, g, b, a, rp, gp, bp;

if (src->type != IMAGE_RGBA)
    {
    fprintf(stderr, "Image: alpha pattern 0: %p is not RGBA", src);
    return NO_ALPHA_CHANNEL;
    }
if ( (foo=Image_compare_desc(src, dst)) )
    {
    fprintf(stderr, "Image: alpha pattern 0: images differents %d\n", foo);
    return foo;
    }

for (y=0; y<src->height; y++)
	{
	yp = y % pat->height;
	for (x=0; x<src->width; x++)
		{
		xp = x % pat->width;
		Image_getRGBA(src, x, y, &r, &g, &b, &a);
		Image_getRGB(pat, xp, yp, &rp, &gp, &bp);

		r = ((r*(255-a)) + (rp*a)) / 256;
		g = ((g*(255-a)) + (gp*a)) / 256;
		b = ((b*(255-a)) + (bp*a)) / 256;

		Image_plotRGB(dst, x, y, r, g, b);
		}
	}

return FUNC_IS_BETA;
}
/*
 *	<tth> mais mais mais c'est cod alagruik ?
 *	<ker> oui
 *	<mat> oui
 *	<moid> oui
 *	<batou> oui
 *	<cphil> oui
 *	<laura> c'est quoi 'alagruik' ?
 *	<tth> man spleyt
 */
/*::------------------------------------------------------------------::*/
/* hop, nous sommes vers la fin du mois d'avril, en 2008, et je vais
 * essayer de jouer un peu avec ces trucs...
 */
int
Image_alpha_pattern_1(Image_Desc *src, Image_Desc *pat, Image_Desc *dst)
{
int		foo;

if (src->type != IMAGE_RGBA)
    {
    fprintf(stderr, "Image: alpha pattern 0: %p is not RGBA", src);
    return NO_ALPHA_CHANNEL;
    }
if ( (foo=Image_compare_desc(src, dst)) )
    {
    fprintf(stderr, "Image: alpha pattern 0: images differents %d\n", foo);
    return foo;
    }

return FULL_NUCKED;
}
/*::------------------------------------------------------------------::*/
/*::------------------------------------------------------------------::*/
