/*
		image dissolver / Jan 2002
		--------------------------

   (28 avr 2008) il traine un truc dans xper.c

*/
#include   <stdio.h>
#include   <stdlib.h>
#include   <math.h>

#include   "image.h"

/*::------------------------------------------------------------------::*/
/*
 *	First use of the 'point list' concept. Ymmv.
 */
int
Image_dissolve_0(Image_Desc *src, Image_Desc *dst, Image_PtList *pts)
{
int	x, y, k, x2, y2, nb;
int	sr, sg, sb, count;

nb = pts->nbre;
fprintf(stderr, "Image dissolve 0: %d elements\n", nb);

for (x=0; x<src->width; x++)
	{
	for (y=0; y<src->height; y++)
		{
		sr = (src->Rpix[y])[x];
		sg = (src->Gpix[y])[x];
		sb = (src->Bpix[y])[x];

		sr*=nb; sb*=nb; sg*=nb;

		/*
		 * why count must be nb ?
		 */
		count=nb;

		for (k=0; k<nb; k++)
			{
			x2 = x + pts->points[k].x;
			y2 = y + pts->points[k].y;
			if (x2>=0 && x2<src->width && y2>=0 && y2<src->height)
				{
				sr += (src->Rpix[y2])[x2];
				sg += (src->Gpix[y2])[x2];
				sb += (src->Bpix[y2])[x2];
				count++;
				}
			}
		(dst->Rpix[y])[x] = sr/count;
		(dst->Gpix[y])[x] = sg/count;
		(dst->Bpix[y])[x] = sb/count;
		}
	}

return FUNC_IS_BETA;
}
/*::------------------------------------------------------------------::*/
