/*
		IMG77E
		------
	fonctions d'galisation de niveaux.
	interface pour le compilateur fortran g77

	no doc for this functions ?

*/

#include	<stdio.h>
#include	<stdlib.h>
/* #include	<g2c.h>			pourquoi ? */
#include	"image.h"

#include	"img77proto.h"

/*::------------------------------------------------------------------::*/
Image_Desc * Image77_return_slot(int numslot);
/*::------------------------------------------------------------------::*/
/*
 *	chacune des composantes est traite sparment.
 */
int
img_egalrgb__(int *psrc, int *pdst)
{
Image_Desc *src, *dst;
int	foo;

src = Image77_return_slot(*psrc);
dst = Image77_return_slot(*pdst);
if (src==NULL || dst==NULL)
	{
	return 9999;		/* why 9999 ? */
	}

#if DEBUG_LEVEL
fprintf(stderr, "img77: egalize rgb %d to %d\n", *psrc, *pdst);
#endif

foo = Image_egalise_RGB(src, dst, 0);

#if DEBUG_LEVEL
fprintf(stderr, "img77: egalize return %d\n", foo);
#endif

return foo;
}
/*::------------------------------------------------------------------::*/
/*
 *	equalization curve is build from the gray level of image
 */
int
img_egalgray__(int *psrc, int *pdst)
{
Image_Desc *src, *dst;
int	foo;

src = Image77_return_slot(*psrc);
dst = Image77_return_slot(*pdst);
if (src==NULL || dst==NULL)
	{
	return 9999;		/* why 9999 ? */
	}

#if DEBUG_LEVEL
fprintf(stderr, "img77: egalize gray %p to %p\n", src, dst);
#endif

/*
 *	C source of this function says that it was experimental
 *	but I think it was working correctly.
 */
foo = Image_egalise_mono_0(src, dst, 0);

#if DEBUG_LEVEL
fprintf(stderr, "img77: egalize mono return %d\n", foo);
#endif

return foo;
}
/*::------------------------------------------------------------------::*/
/*
 *	but, maybe, we can think about an egalization function written
 *	in pure Fortran ? Ahem, il will be very slow :)
 *
 *	look at funcs77.f ?
 */
/*::------------------------------------------------------------------::*/
