/*
		IMG77P
		------
	interface for patterns and textures generators
	interface for patterns frames.

	see also IMG77R: noise generators.

*/

#include	<stdio.h>
#include	<stdlib.h>
#include	"image.h"

/*::------------------------------------------------------------------::*/
Image_Desc * Image77_return_slot(int numslot);
/*::------------------------------------------------------------------::*/
int
img_pattern__(int *pimg, int *ptype, int *pparam)
{
Image_Desc *img;
int	foo;

img = Image77_return_slot(*pimg);
if ( img==NULL )
	{
	fprintf(stderr, "img77 pattern: %d bad imgnum\n", *pimg);
	return -1;
	}

#if DEBUG_LEVEL
fprintf(stderr, "img77: pattern %d to %p, v=%d\n", *ptype, img, *pparam);
#endif

foo = 0;		

switch (*ptype)
	{
	case 0:
		foo = Image_pattern_000(img, *pparam);
		break;	
	case 1:
		foo = Image_pattern_001(img, *pparam);
		break;	
	case 2:
		foo = Image_pattern_002(img, *pparam);
		break;
	case 3:
		foo = Image_pattern_003(img, *pparam);
		break;
	case 42:
		foo = Image_pattern_042(img, *pparam);
		break;	
	case 666:
		fprintf(stderr, "le Vengeur Masqu arrive :)\n");
		break;
	default:
		foo = Image_pattern_000(img, *pparam);
		break;	
	}

return foo;
}
/*::------------------------------------------------------------------::*/
int
img_cadrep__(int *pim, int *ppat, int *ptype, int *pparam)
{
Image_Desc *image   = Image77_return_slot(*pim);
Image_Desc *pattern = Image77_return_slot(*ppat);

fprintf(stderr, "img77: cadre pattern: param=%d\n", *pparam);

switch (*ptype)
	{
	case 0:
		Image_cadre_pattern_0(image, pattern, *pparam);
		break;
	case 1:
		Image_cadre_pattern_1(image, pattern, *pparam);
		break;
	case 2:
		Image_cadre_pattern_2(image, pattern, *pparam);
		break;
	default:
		fprintf(stderr, "img77: cadre pattern: type %d ?\n", *ptype);	
		break;
	}

return 0;
}
/*::------------------------------------------------------------------::*/
