/*
		IMG77S
		------
	interface for resizing functions.
	
*/

#include	<stdio.h>
#include	<stdlib.h>
#include	<string.h>
#include	"image.h"

#include	"img77proto.h"

/*::------------------------------------------------------------------::*/
Image_Desc * Image77_return_slot(int numslot);
int Image77_addimg2slots(Image_Desc *img, int flag);
/*::------------------------------------------------------------------::*/

int	img_halfsz__(int *pi, int *pm)
{	
Image_Desc	*img, *half;
int		newslot;

img = Image77_return_slot(*pi);
if ( img == NULL )
	{
	fprintf(stderr, "img77: half size: img #%d is wrong\n", *pi);
	return -1;
	}

half = Image_MakeHalfSize(img, *pm);
fprintf(stderr, "img77: half size: %p\n", half);

if (half->name[0]=='\0')	strcpy(half->name, "img77 halfsize");

newslot = Image77_addimg2slots(half, 0);

return newslot;
}

/*::------------------------------------------------------------------::*/
/* new 26 mars 2003 */
int	img_dblsz__(int *pi, int *pm)
{
Image_Desc	*img, *dble;
int		newslot;

img = Image77_return_slot(*pi);
if ( img == NULL )
	{
	fprintf(stderr, "img77: dble size: img #%d is wrong\n", *pi);
	return -1;
	}

dble = Image_MakeDoubleSize(img, *pm);
fprintf(stderr, "img77: dble size: %p\n", dble);

if (dble==NULL)
	{
	fprintf(stderr, "Katastrofh: Make Double Size\n");
	exit(5);
	}

if (dble->name[0]=='\0')	strcpy(dble->name, "img77 dblesize");

newslot = Image77_addimg2slots(dble, 0);

return newslot;
}
/*::------------------------------------------------------------------::*/
/* new 14 janvier 2007 */
int	img_resiz__(int *psrc, int *pdst, float *szx, float *szy)
{

fprintf(stderr, "FUNCTION NOT IMPLEMENTED\n");

return -1;
}
/*::------------------------------------------------------------------::*/
