/*
		IMG77T
		------
	interface to the kludgyy text-plot funcs.
*/

#include	<stdio.h>
#include	<stdlib.h>
#include	<string.h>

#include	"image.h"
#include 	"img77proto.h"

/*::------------------------------------------------------------------::*/
Image_Desc * Image77_return_slot(int numslot);
/*::------------------------------------------------------------------::*/
/*
 *	fonction _vraiment_ de base pour crire du texte dans 
 *	une image. On assume, et on continue  construire sur
 *	l'abominable kludge de 'text0.c' et a, c'est une grosse
 *	btise, je pense.
 *	Sauf que l, quand mme c'est assez simple, et on aura pas
 * 	trop de mal  patcher quand il le faudra...
 *	le plus gros problme a va tre d'viter l'anarchie des modes.
 *	donc, il faut _vite_ dcouper le paramtre en bitslices.
 *
 */

#define TAILLE_TEXTE 242	/* arbitraire, dddd */

int
img_txt_0__(int *pi, char *txt, int *px, int *py, int *pm, int sztexte)
{
Image_Desc	*img;
RGBA		papier, encre;
char		buffer[TAILLE_TEXTE+2];
int		len, foo, mode;

img = Image77_return_slot(*pi);
if ( img == NULL )
	{
	fprintf(stderr, "img77: txt_0: img # %d is bad\n", *pi);
	return -1;
	}

len = TAILLE_TEXTE<sztexte ? TAILLE_TEXTE : sztexte;
strncpy(buffer, txt, TAILLE_TEXTE);	buffer[len] = '\0';

#if DEBUG_LEVEL > 1
fprintf(stderr, "\nimg_txt_0: x:%d y:%d taille texte: %d,%d [%s]\n",
					*px, *py, sztexte, len, buffer);
#endif

/* hop on fait simple: le papier est blanc, l'encre est noire */
/*
 *	en fait non. on va (Janvier 2006) complexifier la chose.
 *	-- attention, c'est gruik --
 */
mode = *pm;
if (mode < 50)
	{
	papier.r = papier.g = papier.b = 255;
	encre.r  = encre.g  = encre.b  = 0;
	}
else
	{
	papier.r = papier.g = papier.b = 0;
	encre.r  = encre.g  = encre.b  = 255;
	}

/* c'est un peu kludge, l'argument a double emploi :) */
switch (mode % 50)
	{
	case 0:		papier.a = 255;	encre.a = 255;		break;
	case 1:		papier.a = 0;	encre.a = 255;		break;
	case 2:		papier.a = 255;	encre.a = 0;		break;
	case 3:		papier.a = 255; encre.a = 127;		break;
	case 4:		papier.a = 127; encre.a = 255;		break;
	default:	papier.a = 127;	encre.a = 127;		break;
	}

/* cette fonction est obsolete
foo = Image_trace_chaine_0(img, buffer, *px, *py, &papier, &encre, 0);
*/
foo = Image_trace_chaine_1(img, buffer, *px, *py, "libimage.fonte",
							&papier, &encre);

#if DEBUG_LEVEL > 1
Image_print_error("retour trace de texte fortrash", foo);
#endif

return 0;
}
/*::------------------------------------------------------------------::*/
int
img_txt_1__(int *pi, char *txt, int *px, int *py, int *pm, int sztexte)
{
int		len, mode;
char		buffer[TAILLE_TEXTE+2];

len = TAILLE_TEXTE<sztexte ? TAILLE_TEXTE : sztexte;
mode = *pm;

#if DEBUG_LEVEL
fprintf(stderr, "\nimg_txt_1: x:%d y:%d taille texte: %d,%d [%s]\n",
					*px, *py, sztexte, len, buffer);
#endif

return -99;
}
/*::------------------------------------------------------------------::*/
