/*
 * img77u.c  --  new 11 juiller 2007  --  Avenue St Exupery
 */

#include	<stdio.h>
#include	<stdlib.h>
#include	"image.h"

#include	"img77proto.h"

/*::------------------------------------------------------------------::*/
long
img_chrono__(int *num)
{
long		foo;
int		numchrono;

numchrono = *num;

#if DEBUG_LEVEL
fprintf(stderr, "%s:%d:%s: num is %d\n", __FILE__, __LINE__, __func__, *num);
#endif

if (numchrono < 0)
	{
	numchrono = -numchrono;
	foo = Image_start_chrono("from fortran", numchrono);
	fprintf(stderr, "%s(%d) -> %ld\n", __func__, numchrono, foo);
	return 0;
	}

foo = Image_stop_chrono("from fortran", *num);

return foo;
}
/*::------------------------------------------------------------------::*/
Image_Desc * Image77_return_slot(int numslot);  /* semi-private func  ::*/
/*::------------------------------------------------------------------::*/
/*
 * quelques essais d'interface g77->7seg		mars 2009 
 */
int
img_7seg0__(int *nimg, int *value, int *plen)
{
Image_Desc	*image;
int		foo;
char		chaine[42], format[42];

image = Image77_return_slot(*nimg);
if (*plen < 1 || *plen > 10)
	{
	fprintf(stderr, "%s : len %d out of range\n", __func__, *plen);
	abort();
	}

#if DEBUG_LEVEL > 1
fprintf(stderr, "%s ( %d -> %p, %d, %d )\n", __func__,
			*nimg, image, *value, *plen);
#endif
sprintf(format, "%%0%dd", *plen);

sprintf(chaine, format, *value);
#if DEBUG_LEVEL > 1
fprintf(stderr, "%s --> [%s]\n", __func__, chaine);
#endif

foo = Image_7seg_tag0(image, chaine, 0);
#if DEBUG_LEVEL > 1
fprintf(stderr, "in %s, got %d\n", __func__, foo);
#endif

return 0;
}
/*::------------------------------------------------------------------::*/
/*::                   yo la meute !				      ::*/
/*::------------------------------------------------------------------::*/
