/*
 *		-L-I-F-E-        le jeu de la vie
 *		_________________________________
 *
 *
 */

#include  <stdio.h>

#include  "image.h"


/*::------------------------------------------------------------------::*/
static struct 
	{
	int	x, y;
	} d[] = 
{	{ -1,	-1, },
	{ 0,	-1, },
	{ 1,	-1, },
	{ -1,	0, },
	{ 1,	0, },
	{ -1,	1, },
	{ 0,	1, },
	{ 1,	1 }
};	
int
Image_life_X(Image_Desc *src, Image_Desc *dst)
{
int		x, y, i;
int		nbre;
int		r, g, b;

for (x=1; x<dst->width-1; x++)
	{
	for (y=1; y<dst->height-1; y++)
		{
		nbre = 0;
		r = Image_R_pixel(src, x, y) & 0x80;
		for (i=0; i<8; i++)
			if (Image_R_pixel(src, x+d[i].x, y+d[i].y) & 0x80)
				nbre++;

		if (nbre==5 || nbre==6)
			Image_plot_channel(dst, 'r', x, y, 255);
		else if (nbre<3)
			Image_plot_channel(dst, 'r', x, y, 0);
		else
			Image_plot_channel(dst, 'r', x, y, 0);
		}
	}

return 666;
}
/*::------------------------------------------------------------------::*/
