/*
			tele_2.c
			--------
*/

#include  <stdio.h>
#include  <stdlib.h>
#include  <math.h>

#include  "image.h"

/*::------------------------------------------------------------------::*/
/*
 *		comme au bon vieux temps...
 */
int
Image_TV_old(Image_Desc *src, Image_Desc *dst, int p1, int p2, int p3)
{
int	foo;
int	x, y, v1, v2;
int	resteY;
int	sigma;

if ( (foo=Image_compare_desc(src, dst)) )
    {
    fprintf(stderr, "Image TV old: images are differents %d\n", foo);
    return foo;
    }

sigma = p1 + p2 + p3;
resteY = src->height % 3;
resteY /= 2;		/* half for the top, half for the bottom */

#if DEBUG_LEVEL
fprintf(stderr, "Image TV old: height %d reste Y %d\n", src->height, resteY);
fprintf(stderr, "Image TV old: %d %d %d -> %d\n", p1, p2, p3, sigma);  
#endif

for (y=resteY; y<src->height-resteY-1; y+=3)
	{
	for (x=0; x<src->width; x++)
		{
		v1 =  ( Image_R_pixel(src, x, y) +
			Image_R_pixel(src, x, y+1) +
			Image_R_pixel(src, x, y+2) +
		        Image_G_pixel(src, x, y) +
			Image_G_pixel(src, x, y+1) +
			Image_G_pixel(src, x, y+2) +
		        Image_B_pixel(src, x, y) +
			Image_B_pixel(src, x, y+1) +
			Image_B_pixel(src, x, y+2) ) / 9 ;

		v2 = (v1 * p1) / sigma;
		Image_plotRGB(dst, x,   y, v2, v2, v2);
		v2 = (v1 * p2) / sigma;
		Image_plotRGB(dst, x, y+1, v2, v2, v2);
		v2 = (v1 * p3) / sigma;
		Image_plotRGB(dst, x, y+2, v2, v2, v2);
		}
	}

return FUNC_IS_BETA;
}
/*::------------------------------------------------------------------::*/
/*	
 *	this is juste a wrapper function - need more work...
 */
int
Image_TV_veryold(Image_Desc *src, Image_Desc *dst, int p1, int p2, int p3)
{
int	foo;

/* 15 janvier 2007: chasse au coredump... */
if ( (src->control!=0xdeadbeef) || (dst->control!=0xdeadbeef) )
    {
    fprintf(stderr, "Image TV veryold: bad image descriptor\n");
    abort();
    }

if ( (foo=Image_compare_desc(src, dst)) )
    {
    fprintf(stderr, "Image TV veryold: images are differents %d\n", foo);
    return foo;
    }

foo = Image_TV_old(src, dst, p1, p2, p3);
fprintf(stderr, "very old: ret %d\n", foo);

return FUNC_IS_ALPHA;
}
/*::------------------------------------------------------------------::*/
