/*
		TESTTGA.C
*/

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <math.h>

#include  "image.h"
#include  "essais.h"

/*::------------------------------------------------------------------::*/
int main(int argc, char *argv[])
{
char	*fichier;
int	foo;

printf("\n==========  TestTga  %s  %s  ==========\n", __DATE__, __TIME__);
Image_print_version(2);
/* Image_print_sizeof_structs("tth was here"); */

if (argc != 2)
	{
	printf("no args, using the testfile\n");
	fichier = "pov.tga";
	}
else
	{
	srand(getpid());
	fichier = argv[1];
	}

Image_start_chrono("Essai", 0);

/*
Test_Egalisations(fichier);
foo = Test_rgbmask(fichier);
Test_double_size();
foo = Image_lut15_essai(fichier, "aaaa-lut15.tga", 0);
Image_texte_fonte("libimage.fonte", "all8x8chars.tga");
Test_des_trucs_2x2(fichier);
Test_Effects_A("source_e.tga", 0);
Test_des_pixeliz("source_e.tga", 0);
Filtre_Directionnel(fichier, 0);
Test_hf15_synth_fromfunc("synth_hf.tga");
foo = Test_Effects_A(fichier, 0);
foo = Essai_des_zooms(fichier, 0);
Test_des_mosaiques(fichier);
Test_Dithering("wou.tga");
foo = Image_t16x24_essai("bigfont.txt",
			"Sonia, je t'aime !)",
			"aaaa_sonia.tga");
Test_hf15_synth_fromPtl("source_e.tga", "tutu.tga");
foo = Essai_des_cadres(fichier, 0);
foo = Essai_des_mires("kikoo lol", 0, 0);
foo = Essai_des_marquages(fichier, 0, "P4wn3d by tTh");
foo = Test_copie_de_rectangles(fichier);
foo = Essais_plot_Map(42);
foo = Essai_des_7_segments(fichier, 42, 0);
Essai_color_2_map(fichier, 0);
foo = Essai_des_distances(fichier, 42, 0);
foo = Run_all_the_tests(fichier, 0, 0, 0);
Essai_raw16bits(fichier, 0);
foo = Essai_des_lut15bits(fichier, 42);
foo = Essai_des_gadgrect(fichier, 0);
Image_anmo_essai_0("aaaa_anmo_0.tga", 666, 666, 1);
foo = Test_des_warpings(fichier, 0);
foo = Test_new_scale(fichier, 0);
foo = Essai_des_bitblt(fichier, 0);
foo = Essai_des_cadres(fichier, 0);
foo = Test_vignettes(fichier, 0);
foo = Essai_luminance(fichier, 0);
foo = Test_classif(fichier, 0);
foo = Test_funcs_hf15(fichier, 0);
Test_des_patterns("/tmp/pat_", 0, 0);
Test_des_df3("yo man", 33); 
*/

Manipuler_les_couleurs(fichier, 0);

Image_stop_chrono("Essai", 0);

/*
 *	Warning: this function was a GNU/Linuxism !
 */
#if DEBUG_LEVEL > 2
malloc_stats(); 
#endif

return 0;
}

/*::------------------------------------------------------------------::*/
