/*
			addborder.c
			===========
*/

#include  <stdio.h>
#include  <math.h>
#include  "image.h"

/*::------------------------------------------------------------------::*/
/*
 *	realloc buffers of an image 
 */
int	Image_ReAllocate(Image_Desc *img, int neww, int newh)
{

Image_dump_descriptor(img, "avant realloc");

fprintf(stderr, "\n%s: nouvelle taille: %d x %d\n\n", __func__, neww, newh);


/*
 *	si la nouvelle hauteur est infrieure  l'ancienne,
 *	il va falloir virer des lignes, donc les "free'er".
 *	
 *	sinon, il va falloir en rajouter. donc l'ordre des
 *	oprations a de l'importance.
 */
if ( newh > img->height )
	{
	fprintf(stderr, "%s : plus haute\n", __func__);
	}
else
	{
	fprintf(stderr, "%s : moins haute\n", __func__);
	}


fprintf(stderr, "*** ARE WE ALIVE ? ***\n");

Image_dump_descriptor(img, "apres realloc");

return FULL_NUCKED;
}
/*::------------------------------------------------------------------::*/
