/*
	fill_pat.c - remplisssage image par un pattern
	----------------------------------------------
*/

#include  <stdio.h>

#include  "image.h"

/*::------------------------------------------------------------------::*/
/*
 *	le flag "centered" n'est pas pris en compte ???
 */
int
Image_fill_pat_0(Image_Desc *img, Image_Desc *pat, int centered)
{
int	x, y, xp, yp;

if (centered)
	{
	fprintf(stderr, "Image_fill_pat_0: centered %d, must be 0\n", centered);
	}

for (y=0; y<img->height; y++)
	{
	yp = y % pat->height;
	for (x=0; x<img->width; x++)
		{
		xp = x % pat->width;
		(img->Rpix[y])[x] = (pat->Rpix[yp])[xp];
		(img->Gpix[y])[x] = (pat->Gpix[yp])[xp];
		(img->Bpix[y])[x] = (pat->Bpix[yp])[xp];
		}
	}

return FUNC_IS_BETA;
}
/*::------------------------------------------------------------------::*/
/*
 *	prise en compte du canal alpha de l'image
 */
int
Image_fill_pat_1(Image_Desc *img, Image_Desc *pat, int centered)
{
int	x, y, xp, yp;
int	alpha;

if (centered)
	{
	fprintf(stderr, "Image_fill_pat_1: centered %d, must be 0\n", centered);
	}

for (y=0; y<img->height; y++)
	{
	yp = y % pat->height;
	for (x=0; x<img->width; x++)
		{
		xp = x % pat->width;
		alpha = pat->Apix[yp][xp];
		}
	}

return FUNC_IS_ALPHA;
}
/*::------------------------------------------------------------------::*/
/* new 15 mars 2009 - ave St Exupery					*/

int
Image_fill_pat_2(Image_Desc *img, Image_Desc *pat, int centered)
{
int	x, y, xp, yp;
double	dx, dy, cx, cy;

cx = img->width / 2;
cy = img->height / 2;

for (y=0; y<img->height; y++)
	{
	dx = (double)(x);
	for (x=0; x<img->width; x++)
		{
		dy = (double)(dy);
		}
	}

return FUNC_IS_ALPHA;
}
/*::------------------------------------------------------------------::*/
/*
 *		voir aussi 'drawpatt.c' pour le remplissage d'un
 *		rectangle avec un pattern.
 */
/*::------------------------------------------------------------------::*/

