/*
 * quick'n'dirty font convertor
 */

#include  <stdio.h>
#include  <stdlib.h>
#include  <string.h>
#include  "image.h"

/*::------------------------------------------------------------------::*/
int main(int argc, char *argv[])
{
FILE	*fpin, *fpout;
int	charnum, foo, row, bit, masque;
U_BYTE	lettre[8], octet;
char	ligne[32];

fprintf(stderr, "*** convertisseur de fontes 8x8 -> 16x24 ***\n");
fprintf(stderr, "*** version 0.13 - %s ***\n", __DATE__);

if (argc != 3)
	{
	fprintf(stderr, "give me Infile and Outfile names\n");
	exit(1);
	}

if (NULL == (fpin=fopen(argv[1], "rb")) )
	{
	fprintf(stderr, "can't open %s for reading\n", argv[1]);
	exit(2);
	}
if (NULL == (fpout=fopen(argv[2], "w")) )
	{
	fprintf(stderr, "can't open %s for writing\n", argv[2]);
	exit(3);
	}

for (charnum=0; charnum<256; charnum++)
	{
	foo = fread(lettre, 1, 8, fpin);
	printf("%5d     %3d\n", charnum, foo);
	fprintf(fpout, "%d\n", charnum);
	for (row=0; row<8; row++)
		{
		octet = lettre[row];
		ligne[0] = '\0';
		masque = 0x80;
		for (bit=0; bit<8; bit++)
			{
			if (octet & masque)
				{
				strcat(ligne, "**");
				}
			else
				{
				strcat(ligne, "..");
				}
			masque >>= 1;
			}
		fprintf(fpout, "%s\n", ligne);
		fprintf(fpout, "%s\n", ligne);
		fprintf(fpout, "%s\n", ligne);
		}
	fflush(fpout);
	}

fclose(fpout);
return 0;
}
