c--------------------------------------------------------------------
c
c		g77 GNU fortran compiler support functions
c		==========================================
c
c	This night, the infamous "Momo" is calling me over the
c	cellular phone: 'please, help me, database is corrupted'
c	but... at 4 in the morning, magic script restore all
c	the components of the web server. So, for now, I can hack
c	my kludge, and add some funcs for Fortrash hackers ;-)
c
c					Thierry Boudet
c
c--------------------------------------------------------------------
	subroutine xpereff(image)

	integer		image
	integer		resultat,demi,tmp
	integer		w2, h2
	integer		img_clone,img_halfsz

c	clonage image source pour avoir l'image resultat
	resultat = img_clone(image)

c	creation d'une image de taille moitie
	demi = img_halfsz(image, 0)
	tmp = img_clone(demi)

	call img_dims(demi, w2, h2)
	write(6,100) w2, h2
100	format('xpereff: demi: ', 2i6)

	call img_effx0(demi,tmp)
	call img_putimg(tmp, resultat, 0, 0)
	call img_txt_0(resultat, "X 0", 2, 2, 3)

	call img_effx1(demi,tmp)
	call img_putimg(tmp, resultat, w2, 0)
	call img_txt_0(resultat, "X 1", w2+2, 2, 3)

	call img_effx2(demi,tmp)
	call img_putimg(tmp, resultat, 0, h2)
	call img_txt_0(resultat, "X 2", 2, h2+2, 3)

	call img_effx3(demi,tmp, 5, 5)
	call img_putimg(tmp, resultat, w2, h2)
	call img_txt_0(resultat, "X 3", w2+2, h2+2, 3)

	call img_tga_sa(resultat, "aaaa-xpereff.tga", 0)

	end

c--------------------------------------------------------------------
c
c	create (or add) noise on an image
c
	subroutine noises(image)
	integer image

c---	prototypes
	integer img_create

	integer w2, h2, w, h, img2

	write(6, 100) image
100	format('generation de bruits dans image ', i2)

c	create another image, half the size of the primary
	call img_dims(image, w, h)
	write(6,101) w, h
101	format('largeur ', i4, '    hauteur', i4)

	w2 = w / 2
	h2 = h / 2
	img2 = img_create(w2, h2, 3)
	write(6,102) img2
102	format('nouvelle image ', i2)

	call img_grayrnd0(img2, 100, 200)
	call img_putimg(img2, image, 0, 0)
	call img_txt_0(image, 'grayrnd0', 2, 2, 0)

	call img_rgbrnd0(img2, 100, 200)
	call img_putimg(img2, image, 0, h2)
	call img_txt_0(image, 'rgbrnd0', 2, h2+2, 0)

	call img_grayrnd2(img2, 100, 200)
	call img_putimg(img2, image, w2, 0)
	call img_txt_0(image, 'graynnd2', w2+2, 2, 0)

	call img_rgbrnd1(img2, 60, 90, 120, 150, 180, 210)
	call img_putimg(img2, image, w2, h2)
	call img_txt_0(image, 'rgbrnd1', w2+2, h2+2, 0)

	end

c--------------------------------------------------------------------

	subroutine hprof(image, profil, step)
	integer	image, profil, step
	
	integer	x,y,r,g,b,w,h
	logical flag
	integer v

	integer img_rpix,img_gpix,img_bpix

	call img_dims(image, w, h)

	write(6, 100) image, profil, step
100	format('image', i3, '  profil', i3, '  step', i5)
	write(6,101) w, h
101	format('     ', i5, ' x ', i5)

	call img_clear(profil, 0, 0, 0)

	do 3, y=20,h-1,step

	    flag=.false.
	    v = 0
	    do 5, x=0,w-1

		r = img_rpix(image, x, y)
		call img_plt_r(profil, x, y+(r/10), 255)
		g = img_gpix(image, x, y)
		call img_plt_g(profil, x, y+(g/10), 255)
		b = img_bpix(image, x, y)
		call img_plt_b(profil, x, y+(b/10), 255)

5	    continue

3	continue

	call img_txt_0(profil, "PROFIL", 2, 2, 3)
	end
c--------------------------------------------------------------------
