/*
		IMG77R
		------
	interface for noisy patterns (patterns4.c)
*/

#include	<stdio.h>
#include	<stdlib.h>
#include	"image.h"

#include	"img77proto.h"

/*::------------------------------------------------------------------::*/
Image_Desc * Image77_return_slot(int numslot);  /* semi-private func  ::*/
/*::------------------------------------------------------------------::*/
int
img_grayrnd0__(int *pimg, int *plow, int *phigh)
{
Image_Desc *img;
int	foo;

/* 
 * no sanity control ?
 */
img = Image77_return_slot(*pimg);
foo = Image_gray_noise_0(img, *plow, *phigh);

return foo;
}
/*::------------------------------------------------------------------::*/
int
img_rgbrnd0__(int *pimg, int *plow, int *phigh)
{
Image_Desc *img;
int	foo;

/* 
 * no sanity control ?
 */
img = Image77_return_slot(*pimg);

foo = Image_rgb_noise_0(img, *plow, *phigh);

return foo;
}
/*::------------------------------------------------------------------::*/
int
img_rgbarnd0__(int *pimg, int *plow, int *phigh)
{
Image_Desc *img;
int	foo;

/* 
 * no sanity control ?
 */
img = Image77_return_slot(*pimg);
foo = Image_rgba_noise_0(img, *plow, *phigh);

return foo;
}
/*::------------------------------------------------------------------::*/
int
img_grayrnd2__(int *pimg, int *plow, int *phigh)
{
Image_Desc *img;
int	foo;

/* 
 * no sanity control ?
 */
img = Image77_return_slot(*pimg);
foo = Image_gray_noise_2(img, *plow, *phigh);

return foo;
}
/*::------------------------------------------------------------------::*/
int
img_rgbrnd1__(int *pimg,	int *prl, int *prh, int *pgl,
				int *pgh, int *pbl, int *pbh)
{
Image_Desc *img;
int	foo;
RGBA	low, high;

/* 
 * no sanity control ?
 */
img = Image77_return_slot(*pimg);

low.r		= *prl;
low.g		= *pgl;
low.b		= *pbl;
high.r		= *prh;
high.g		= *pgh;
high.b		= *pbh;

foo = Image_rgb_noise_2(img, &low, &high);

return foo;
}
/*::------------------------------------------------------------------::*/
