#include	<stdio.h>
#include	<stdlib.h>
#include	<string.h>

#include	"image.h"

/*::------------------------------------------------------------------::*/
Image_Desc * Image77_return_slot(int numslot);
/*::------------------------------------------------------------------::*/
int img_t16i__(char *fontname, int *pk, int sznom)
{
char	filename_buff[IMG_FILENAME_LEN+2];
char	*spacepos;
int	foo;

#if DEBUG_LEVEL
fprintf(stderr, "entering %s k=%d\n", __func__, *pk);
#endif

foo = IMG_FILENAME_LEN<sznom ? IMG_FILENAME_LEN : sznom;
strncpy(filename_buff, fontname, IMG_FILENAME_LEN);
filename_buff[foo] = '\0';
spacepos = strchr(filename_buff, ' ');
if (spacepos != NULL)
	{
#if DEBUG_LEVEL
	fprintf(stderr, "%s: space at %p\n", __func__, spacepos);
#endif
	*spacepos = '\0';
	}

foo = Image_t16x24_txtload(filename_buff, NULL, 0);

#if DEBUG_LEVEL
fprintf(stderr, "loading of '%s' give %d\n", filename_buff, foo);
fprintf(stderr, "leaving %s\n", __func__);
#endif

return 0;
}
/*::------------------------------------------------------------------::*/
int
img_t16t__(int *pi, char *txt, int *px, int *py, int *pm, int sztext)
{
RGBA		ink, pap;
int		foo, pos;
Image_Desc	*img;

#if DEBUG_LEVEL > 1
fprintf(stderr, "entering %s sztext is %d\n", __func__, sztext);
#endif

pap.a = 0;
ink.r = ink.g = ink.b = *pm;
ink.a = 255;
img = Image77_return_slot(*pi);

for (pos=0; pos<sztext; pos++)
	{
#if DEBUG_LEVEL > 1
	fprintf(stderr, "   pos = %d/%d\n", pos, sztext);
#endif
	foo = Image_t16x24_pltch_1(img, txt[pos], (pos*16)+*px, *py,
							&pap, &ink, 0);
	}

#if DEBUG_LEVEL > 1
fprintf(stderr, "leaving %s\n", __func__);
#endif

return 0;
}

/*::------------------------------------------------------------------::*/
