/*
		IMG77X
		------

	interface pour le compilateur fortran g77
	quelques effets exprimentaux en provenance directe
	du module 'effects3.c'.

	la doc de l'interface fortran est ici:
	http://la.buvette.org/devel/libimage/image77.html

*/

#include	<stdio.h>
#include	<stdlib.h>
#include	"image.h"

#include	"img77proto.h"

/*
 *	Attention c'est des effets exprimentaux. Je suis en train de
 *	les crapauter avec vigueur, et je ne sais pas ce que a va 
 *	devenir  l'usage. YMMV.
 *
 *	In the .tar.gz, there was a file 'funcs77.f' where you can found
 *	some additional functions.
 */

/*::------------------------------------------------------------------::*/
Image_Desc * Image77_return_slot(int numslot);  /* semi-private func  ::*/
/*::------------------------------------------------------------------::*/
int
img_effx0__(int *psrc, int *pdst)
{
Image_Desc *src, *dst;
int	foo;

src = Image77_return_slot(*psrc);
dst = Image77_return_slot(*pdst);

foo = Image_effect_x_0(src, dst, 0, 0, 0);
fprintf(stderr, "img77: eff x0 -> %d\n", foo);

return 99;
}
/*::------------------------------------------------------------------::*/
int
img_effx1__(int *psrc, int *pdst)
{
Image_Desc *src, *dst;
int		foo;

src = Image77_return_slot(*psrc);
dst = Image77_return_slot(*pdst);

foo = Image_effect_x_1(src, dst);
fprintf(stderr, "img77: eff x1 -> %d\n", foo);

/* Image_TGA_save("aaaa-x1.tga", dst, 0); */

return 99;
}
/*::------------------------------------------------------------------::*/
int
img_effx2__(int *psrc, int *pdst)
{
Image_Desc *src, *dst;
int		foo;

src = Image77_return_slot(*psrc);
dst = Image77_return_slot(*pdst);

foo = Image_effect_x_2(src, dst, 0, 0, 0);
fprintf(stderr, "img77: eff x3 -> %d\n", foo);

/* Image_TGA_save("aaaa-x2.tga", dst, 0); */

return 99;
}
/*::------------------------------------------------------------------::*/
int
img_effx3__(int *psrc, int *pdst, int *pkx, int *pky)
{
Image_Desc *src, *dst;
int		foo;

src = Image77_return_slot(*psrc);
dst = Image77_return_slot(*pdst);

foo = Image_effect_x_3(src, dst, *pkx, *pky, "rg");
fprintf(stderr, "img77: eff x3 -> %d\n", foo);

/* Image_TGA_save("aaaa-x3.tga", dst, 0); */ 

return 99;
}
/*::------------------------------------------------------------------::*/
