      program t77

      integer           image
      integer           tga_aload
      integer           w, h, foo
      integer           tdebut, tfin, img_chrono
      character*100     imagename

      call img_version(1)
      if (iargc() .eq. 1) then
          call getarg(1, imagename)
      else
          imagename = 'pov.tga'
      endif

      tdebut = img_chrono(-5)
      image = tga_aload(imagename, w, h, foo)

c       ------ new 16 juin 2008
      call tst_hf(image, 1)
      call img_dumpslots(1)
      call img_free(image)
      tfin = img_chrono(5)

      write(6, 100) tdebut, tfin, tfin-tdebut
100   format('chrono ', 3i6)

      end

c ---------------------------------------------------------------------
      subroutine tst_hf(src, k)
      integer       src, k

      integer       tmp, dst, img_clone
      integer       foo
      character*100 fname

      tmp = img_clone(src)
      dst = img_clone(src)
      call img_rgb2hf(src, tmp)
      call img_hf_noise3(tmp, 200d0, 0)
      do 10 foo=0,100, 7
          call img_hf_sweep(tmp, tmp, 100)
          write(fname, 100) foo
          write(6, *) fname
          call img_tga_sa(tmp, fname, 0)
C          call img_hf_2pgm(tmp, "aaaazzzz.pgm")

10    continue

100   format('aaaa-hf77-sweep-', i3.3, '.tga')
      end
c ---------------------------------------------------------------------
