
/*
	    essais pour le module ascii-art
*/

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include  "image.h"

/*::------------------------------------------------------------------::*/
int main(int argc, char *argv[])
{
char	*fichier;
int	foo;
Image_Desc	*image;

if (argc != 2)
	{
	printf("no args, using the testfile\n");
	fichier = "ascii.tga";
	}
else
	{
	srand(getpid());
	fichier = argv[1];
	}

if ( (image = Image_TGA_alloc_load(fichier)) == NULL)
	{
	fprintf(stderr, "err load %s\n", fichier);
	return 1;
	}

Image_to_gray(image, image, 0);

foo = Image_ascii_2(image, "ascii_2.txt", 77, 0, " -  ....:ooo*O OX", 1);
Image_print_error("test ascii 2", foo);

/*
foo = Image_asciiart_2(image, "abcd", 0);
Image_print_error("test asciiart 2", foo);
*/

/*
foo = Image_asciiart_1(image, " .._\\}?</?{x~x/ ", 1);
Image_print_error("test asciiart 1", foo);
*/

return 0;
}
/*::------------------------------------------------------------------::*/
