/*
 *		text2.c
 *	functions related to 8x8 fonts. see text0.c & text1.c
 */
#include  <stdio.h>
#include  <stdlib.h>

#include  "image.h"

/*::------------------------------------------------------------------::*/
/*
 *	this is a test function. do not use in real life !
 */
int
Image_texte_fonte(char *nomfonte, char *nomtga)
{
Image_Desc	*im;
RGBA		fond, encre;
int		foo, ascii, x, y;

im = Image_alloc(256, 256, 3);
if (NULL==im)
	{
	fprintf(stderr, "no mem for pic in '%s'\n", __func__);
	exit(1);
	}

fprintf(stderr, "Image texte fonte: img @ %p\n", im);
Image_gray_noise_0(im, 30, 42);

if (nomfonte==NULL)	nomfonte = "8x8thin";

foo = Image_load_fnt8x8(nomfonte, NULL, 0);

fond.r = 55;	fond.g = 55;	fond.b = 160;	fond.a = 188;
encre.r = 255;	encre.g = 255;	encre.b = 200;	encre.a = 255;

for (ascii=0; ascii<256; ascii++)
	{
	x = 8 + ((ascii & 0xf) * 15);
	y = 8 + ((ascii >> 4) * 15);
	/* printf("%4d  %d,%d\n", ascii, x, y); */
	Image_trace_caractere_2(im, NULL, x, y, ascii, &fond, &encre);
	}

Image_TGA_save(nomtga, im, 0);

Image_DeAllocate(im);		free(im);

return FUNC_IS_BETA;
}
/*::------------------------------------------------------------------::*/
